=== debian/control ===
Source: cyrus-sasl2
Section: libs
Priority: standard
Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
Uploaders: Fabian Fagerholm <fabbe@debian.org>, Roberto C. Sanchez <roberto@connexer.com>, Ondřej Surý <ondrej@debian.org>, Adam Conrad <adconrad@0c3.net>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
	       quilt,
	       automake (>= 1:1.14),
	       autotools-dev,
	       libdb-dev,
	       libpam0g-dev,
	       libssl-dev,
	       libmysqlclient-dev | libmysqlclient15-dev,
	       libpq-dev,
	       heimdal-multidev,
	       krb5-multidev,
	       libkrb5-dev,
	       libsqlite3-dev,
	       libldap2-dev,
	       chrpath,
	       groff-base,
	       po-debconf,
	       docbook-to-man,
	       dh-autoreconf
Build-Conflicts: heimdal-dev
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cyrus-sasl2/cyrus-sasl2.git
Vcs-Git: git://anonscm.debian.org/pkg-cyrus-sasl2/cyrus-sasl2.git
Homepage: http://www.cyrusimap.org/

Package: sasl2-bin
Section: utils
Priority: optional
Architecture: any
Depends: libsasl2-2 (>= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 db-util
Breaks: libsasl2-2 (<< 2.1.26.dfsg1-2~)
Replaces: libsasl2-2 (<< 2.1.26.dfsg1-2~)
Description: Cyrus SASL - administration programs for SASL users database
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains administration programs for the SASL users
 database and common binary files for plugin modules.    

Package: cyrus-sasl2-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Cyrus SASL - documentation
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains documentation for system administrators.

Package: libsasl2-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules-db (>= ${binary:Version})
Recommends: libsasl2-modules (>= ${binary:Version})
Breaks: postfix (<= 2.8.3-1), slapd (<= 2.4.25-3)
Replaces: libsasl2
Description: Cyrus SASL - authentication abstraction library
 This is the Cyrus SASL API implementation, version 2.1.
 .
 SASL is the Simple Authentication and Security Layer, a method for
 adding authentication support to connection-based protocols. To use
 SASL, a protocol includes a command for identifying and
 authenticating a user to a server and for optionally negotiating
 protection of subsequent protocol interactions. If its use is
 negotiated, a security layer is inserted between the protocol and the
 connection. See RFC 2222 for more information.
 .
 Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
 Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.

Package: libsasl2-modules
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Suggests: libsasl2-modules-otp,
	  libsasl2-modules-ldap,
	  libsasl2-modules-sql,
	  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Breaks: logcheck-database (<= 1.3.16~)
Description: Cyrus SASL - pluggable authentication modules
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
 NTLM, CRAM-MD5, and DIGEST-MD5 (with DES support).

Package: libsasl2-modules-db
Architecture: any
Multi-Arch: same
Breaks: libsasl2-2 (<< 2.1.25.dfsg1-9~), libsasl2-2 (<< 2.1.26.dfsg1-2~)
Replaces: libsasl2-2 (<< 2.1.25.dfsg1-9~), libsasl2-2 (<< 2.1.26.dfsg1-2~), libsasl2-modules (<< 2.1.26.dfsg1-6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (DB)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the DB plugin, which supports Berkeley DB lookups.

Package: libsasl2-modules-ldap
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (LDAP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the LDAP plugin, which supports OpenLDAP.

Package: libsasl2-modules-otp
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (OTP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the OTP plugin, which supports one time passwords.

Package: libsasl2-modules-sql
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (SQL)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the SQL plugin, which supports MySQL, PostgreSQL
 and SQLite.

Package: libsasl2-modules-gssapi-mit
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libsasl2-modules-gssapi-heimdal
Description: Cyrus SASL - pluggable authentication modules (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the MIT
 Kerberos 5 library.

Package: libsasl2-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: libsasl2-2 (= ${binary:Version}),
	 libc6-dev,
	 ${misc:Depends}
Description: Cyrus SASL - development files for authentication abstraction library
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package includes development files for compiling programs with SASL
 support. It is needed for development purposes only.

Package: libsasl2-modules-gssapi-heimdal
Architecture: any
Multi-Arch: same
Priority: extra
Depends: libsasl2-modules (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libsasl2-modules-gssapi-mit
Description: Pluggable Authentication Modules for SASL (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the Heimdal
 Kerberos 5 library.

Package: cyrus-sasl2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: libsasl2-2 (= ${binary:Version}),
	 ${misc:Depends}
Recommends: cyrus-sasl2-mit-dbg | cyrus-sasl2-heimdal-dbg
Description: Cyrus SASL - debugging symbols
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains the debugging symbols for all Cyrus SASL packages.
 The debugging symbols can be useful when investigating crashes in the SASL
 library or tools. You may be asked to install this package if you encounter
 such a crash.

Package: cyrus-sasl2-mit-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: cyrus-sasl2-dbg (= ${binary:Version}),
	 libsasl2-modules-gssapi-mit (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: cyrus-sasl2-heimdal-dbg
Description: Cyrus SASL - debugging symbols for MIT modules
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains the debugging symbols for the Cyrus SASL MIT
 GSSAPI modules package (libsasl2-modules-gssapi-mit). The debugging
 symbols can be useful when investigating crashes in the SASL library or
 tools. You may be asked to install this package if you encounter such a
 crash.

Package: cyrus-sasl2-heimdal-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: cyrus-sasl2-dbg (= ${binary:Version}),
	 libsasl2-modules-gssapi-heimdal (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: cyrus-sasl2-mit-dbg
Description: Cyrus SASL - debugging symbols for Heimdal modules
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains the debugging symbols for the Cyrus SASL Heimdal
 GSSAPI modules package (libsasl2-modules-gssapi-heimdal). The debugging
 symbols can be useful when investigating crashes in the SASL library or
 tools. You may be asked to install this package if you encounter such a
 crash.
