=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg\d*$// \
ftp://ftp.cyrusimap.org/cyrus-sasl/ \
(?:|.*/)cyrus-sasl(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) debian debian/repack.sh
