## cyrus-sasl2 2.1.27~101-g0780600+dfsg

=== debian/changelog ===
cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:58 +0000

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1710684). Remaining changes:
    - debian/patches/0033-Missing-definition-of-OPENSSL_zalloc.patch: Grab patch
      from upstream Git to fix FTBFS with older versions of OpenSSL.
      + LP #1672941

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 14 Aug 2017 15:11:41 -0300

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-2ubuntu1) zesty; urgency=medium

  * debian/patches/0033-Missing-definition-of-OPENSSL_zalloc.patch: Grab patch
    from upstream Git to fix FTBFS with older versions of OpenSSL.
    - LP: #1672941

 -- Logan Rosen <logan@ubuntu.com>  Tue, 28 Mar 2017 15:23:23 -0700
